<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Patient View List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

</head>
<body>

<div class="container">
    <header class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom">
        <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
            <svg class="bi me-2" width="40" height="32"><use xlink:href="#bootstrap"/></svg>
            <span class="fs-4">Mediscreen</span>
        </a>

        <ul class="nav nav-pills">
            <li class="nav-item"><a href="/" class="nav-link" aria-current="page">Home</a></li>
            <li class="nav-item"><a href="/patients" class="nav-link active" aria-current="page">Patients</a></li>
        </ul>
    </header>
</div>

<div class="container">
    <div class="row">

        <div class="col-6">
            <h2>Patient-records history view
                <a th:href="@{'/patHistory/add/' + ${notePatId}}" class="btn btn-primary btn-sm">+</a>
            </h2>
        </div>
        <div class="col-6 text-right">
        </div>
    </div>
    <p class="alert alert-danger" th:if="${!#strings.isEmpty(ErrorPatientIdMessage)}" th:text="${ErrorPatientIdMessage}"></p>
    <p class="alert alert-danger" th:if="${!#strings.isEmpty(errorDeleteMessage)}" th:text="${errorDeleteMessage}"></p>
    <p class="alert alert-success" th:if="${!#strings.isEmpty(successDeleteMessage)}" th:text="${successDeleteMessage}"></p>
    <p class="alert alert-success" th:if="${!#strings.isEmpty(successUpdateMessage)}" th:text="${successUpdateMessage}"></p>
    <p class="alert alert-danger" th:if="${!#strings.isEmpty(errorSaveMessage)}" th:text="${errorSaveMessage}"></p>
    <p class="alert alert-success" th:if="${!#strings.isEmpty(successSaveMessage)}" th:text="${successSaveMessage}"></p>
    <div class="row">
        <table class="table table-bordered" style="width: 1872px;">
            <thead>
            <tr>
                <th>Id</th>
                <th>Creation Date & Time</th>
                <th>Note</th>
                <th>Action</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="note : ${notes}">
                <td style="width: 10% "><span th:text="${note.id}"> N/A </span></td>
                <td style="width: 10% "><span th:text="${#temporals.format(note.creationDateTime, 'yyyy-MM-dd HH:mm')}"> N/A </span></td>
                <td style="word-break: break-all; "><span th:text="${note.e}"> N/A </span></td>
                <td style="width: 10%" class="text-center">
                    <a th:href="@{/patHistory/update/{id}(id=${note.id})}">Edit</a>
                    <form action="#" th:action="@{/patHistory/{id}(id=${note.id})}" onclick="return confirm('Are you sure you want to delete this note?')")
                          th:method="delete" >
                        <button type="submit"  class="btn btn-primary btn-sm">
                            Delete
                        </button>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
</body>
</html>